<!DOCTYPE html>
<html
        lang="en"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        layout:decorate="~{layout}"
>
<head>
  <meta charset="UTF-8" />
  <title>Dashboard</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4">
  <div class="row">
    <div class="col-md-12">
      <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
<!--        <span th:text="${#authentication.principal.fullName}"></span>-->
        <span>User</span>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12">
      <div class="shadow-sm p-3 mb-3 bg-body border small rounded">
        <div class="row">
          <div class="col-md-10">
            <i
                    class="fa-solid fa-dashboard fa-1x shadow-sm me-2"
                    style="color: #6f42c1"
            ></i>
            <b>Dashboard</b>
            <br />
            <span
            >Selamat datang di aplikasi tazkia
              <font color="blue">CBT TOEFL</font>. Aplikasi yang dibuat untuk test kemampuan
              <font color="red">TOEFL</font> anda, Semoga anda
              dapat terbantu.
            </span>
          </div>
          <div class="col-md-2 text-end">
            <a th:href="@{/test}" class="btn btn-primary">Toefl Test</a>
          </div>
        </div>

      </div>
    </div>
<!--    <div class="col-md-4">-->

<!--    </div>-->
  </div>
  <div class="row">
    <div class="col-md-12">

    </div>
  </div>
  <div class="row">
    <div class="col-md-6">
      <div class="row">
        <div class="col-md-6">

        </div>
        <div class="col-md-6">
        </div>
      </div>
      <div class="row">
        <div class="col-md-6">

        </div>
        <div class="col-md-6">

        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
        </div>
      </div>
    </div>
    <div class="col-md-6">
<!--      <div class="shadow-sm p-3 mb-3 bg-body border rounded">-->
<!--        <canvas id="chart"></canvas>-->
      </div>
    </div>
  </div>
</main>
<section layout:fragment="footer">
  <script>
    // $(function () {
    //   var ctx = document.getElementById("chart").getContext("2d");
    //   var json_url = "/api/pengajuandana/setahun";
    //   var myChart = new Chart(ctx, {
    //     type: "line",
    //     data: {
    //       labels: [],
    //       datasets: [
    //         {
    //           label: "Request fund",
    //           backgroundColor: "rgba(161, 198, 247, 1)",
    //           borderColor: "rgb(243,94,116)",
    //           data: [],
    //         },
    //       ],
    //     },
    //     options: {
    //       scales: {
    //         yAxes: [
    //           {
    //             ticks: {
    //               beginAtZero: true,
    //             },
    //           },
    //         ],
    //       },
    //     },
    //   });
    //
    //   ajax_chart(myChart, json_url);
    //
    //   // function to update our chart
    //
    //   function ajax_chart(chart, url, data) {
    //     var data = data || {};
    //
    //     $.getJSON(url, data).done(function (response) {
    //       chart.data.labels = response.daftarBulan;
    //       chart.data.datasets[0].data = response.daftarTotal; // or you can iterate for multiple datasets
    //       chart.update(); // finally update our chart
    //     });
    //   }
    // });
  </script>
</section>
</body>
</html>
